%global pypi_name websocket-client

Name:          python-%{pypi_name}
Version:       1.7.0
Release:       %mkrel 2
Summary:       WebSocket client for python

Group:         Development/Python
License:       ASL 2.0
URL:           https://pypi.org/project/websocket-client
Source0:       %{pypi_source}
BuildArch:     noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)

%description
websocket-client is a WebSocket client for Python. It provides access to low
level APIs for WebSockets. websocket-client implements version hybi-13 of the
WebSocket protocol. This client does not currently support the
permessage-deflate extension from RFC 7692.

%package -n python3-%{pypi_name}
Summary:       %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
websocket-client is a WebSocket client for Python. It provides access to low
level APIs for WebSockets. websocket-client implements version hybi-13 of the
WebSocket protocol. This client does not currently support the
permessage-deflate extension from RFC 7692.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files websocket

%check
%pytest websocket/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md ChangeLog
%{_bindir}/wsdump


%changelog
* Sun Mar 02 2025 wally <wally> 1.7.0-2.mga10
+ Revision: 2156312
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 1.7.0-1.mga10
+ Revision: 2021884
- new version 1.7.0

* Sun Jan 15 2023 guillomovitch <guillomovitch> 1.4.2-1.mga9
+ Revision: 1933178
- new version 1.4.2
+ neoclust <neoclust>
- New version  1.3.3

* Thu Mar 24 2022 umeabot <umeabot> 0.58.0-3.mga9
+ Revision: 1824825
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.58.0-2.mga9
+ Revision: 1780101
- rebuild for python-3.10

* Sat Apr 10 2021 joequant <joequant> 0.58.0-1.mga9
+ Revision: 1714468
- update to 0.58.0

* Tue Jan 12 2021 daviddavid <daviddavid> 0.57.0-2.mga8
+ Revision: 1671230
- provide and obsolete old python-websocket-client

* Tue Sep 15 2020 guillomovitch <guillomovitch> 0.57.0-1.mga8
+ Revision: 1626676
- new version 0.57.0

* Sun Feb 16 2020 umeabot <umeabot> 0.56.0-3.mga8
+ Revision: 1531765
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 joequant <joequant> 0.56.0-2.mga8
+ Revision: 1440909
- fix wsdump
- remove py2_install
- remove python2
- upgrade to python 3.8

* Sat Apr 20 2019 wally <wally> 0.56.0-1.mga7
+ Revision: 1394094
- new version 0.56.0

* Tue Jan 08 2019 tv <tv> 0.34.0-5.mga7
+ Revision: 1352380
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.34.0-4.mga7
+ Revision: 1290562
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.34.0-3.mga7
+ Revision: 1135690
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.34.0-2.mga6
+ Revision: 972468
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.34.0-1.mga6
+ Revision: 898719
- update to 0.34

* Thu Oct 08 2015 tv <tv> 0.32.0-2.mga6
+ Revision: 887561
- rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 0.32.0-1.mga6
+ Revision: 855576
- upgrade to 0.32.0

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 741439
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.1-3.mga5
+ Revision: 729975
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-2.mga5
+ Revision: 688416
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 philippem <philippem> 0.14.1-1.mga5
+ Revision: 643490
- update to 0.14, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Feb 24 2014 philippem <philippem> 0.12.0-1.mga5
+ Revision: 596618
- fix group
- imported package python-websocket-client

